Page MenuHomePhabricator

Include OAuth in Wikibase release packages
Closed, ResolvedPublic3 Estimated Story Points

Description

As a Wikibase Release manager I want to be publish releases of the OAuth so that Wikibase users can use Quickstatements on their installations.

Acceptance Criteria:

  • Version(s) of OAuth that are compatible/required to be installed are indicated (write a build metadata file for OAuth that can be used later)
  • Relevant Mediawiki extensions are included in the tarball result of the "release pipeline" in versions which is compatible with the included version of Wikibase
    • OAuth
  • Relevant Mediawiki extensions are included in the Docker container image of the "release pipeline" in versions which is compatible with the included version of Wikibase
    • OAuth
  • Document how to create an OAuth Consumer and use the keys somewhere else (see example)

Notes

  • "in a version which is compatible with the included version of Wikibase" in the acceptance criteria above means that automated testing of integration between the relevant extensions and the released version of Wikibase has happened during the releasing process

Event Timeline

toan created this task.Jan 21 2021, 10:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2021, 10:36 AM
toan set the point value for this task to 3.Jan 21 2021, 10:37 AM
toan updated the task description. (Show Details)Jan 21 2021, 1:26 PM

The results/worklog from the install process for OAuth and integration with QuickStatements should flow into the hands of the technical writer for inclusion here: https://www.mediawiki.org/wiki/Wikibase/Suite#OAuth

toan claimed this task.Jan 25 2021, 8:27 AM
toan moved this task from To do to Doing on the Wikibase Release Strategy (Sprint 5) board.
toan added a comment.Jan 25 2021, 4:08 PM

PR for adding OAuth -> https://github.com/wmde/wikibase-release-prototype/pull/41/

Added some documentation on how to add a consumer here https://github.com/wmde/wikibase-release-prototype/pull/41/files?short_path=5c9e28d#diff-5c9e28d59aac967754e1ef4ceef1f385a6494c0ac8e9909bf9e6dc539cb4c989

though since we are lacking quickstatements I've yet to verify this works.

toan added a comment.EditedJan 28 2021, 10:50 AM

One way of testing this could be checking the TestArtifacts on the builds on main should contain a file called Should-contain-other-extensions.png

This file which is a screenshot of Special:Versions and shows that OAuth is installed.

This looks complete, thanks. Possibly tweaks related to getting it work with the Quick Statements will be consider under that other task.

WMDE-leszek closed this task as Resolved.Mon, Feb 8, 10:01 PM
toan updated the task description. (Show Details)Thu, Feb 11, 1:23 PM